<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Soma de 2 números</title>
    </head>

    <body>
        <h1>Somar 2 valores</h1>
        <input type="text" id="num1"/> + <br>
        <input type="text" id="num2"/> = <br>
        <input type="text" id="soma" readonly="readonly"/> <br>
        <input type="button" value="Somar" onclick="calc()"/>

        <script>
            function calc() {
                let num1 = Number(document.querySelector("#num1").value);
                let num2 = Number(document.querySelector("#num2").value);
                let soma = num1 + num2;
                document.getElementById("soma").value = soma;
            }
        </script>

    </body>
</html>
